##
##  cyrus.conf -- Cyrus IMAP master server configuration
##

START {
    recover      cmd="ctl_cyrusdb -r"
    #syncclient  cmd="sync_client -r"
    #idled       cmd="idled"
    #mupdatepush cmd="ctl_mboxlist -m"
}

SERVICES {
    imap         cmd="imapd"       listen="127.0.0.1:143"        provide_uuid=33 prefork=2
    #imaps       cmd="imapd -s"    listen="127.0.0.1:993"        provide_uuid=33 prefork=0
    pop3         cmd="pop3d"       listen="127.0.0.1:110"        provide_uuid=33 prefork=2
    #pop3s       cmd="pop3d -s"    listen="127.0.0.1:995"        provide_uuid=33 prefork=0
    #nntp        cmd="nntpd"       listen="127.0.0.1:119"                        prefork=0
    #nntps       cmd="nntpd -s"    listen="127.0.0.1:563"                        prefork=0
    sieve        cmd="timsieved"   listen="127.0.0.1:2000"                       prefork=1
    lmtp         cmd="lmtpd"       listen="127.0.0.1:2003"                       prefork=1
    lmtpunix     cmd="lmtpd"       listen="@l_prefix@/var/imapd/socket/lmtp"     prefork=0
    #notify      cmd="notifyd"     listen="@l_prefix@/var/imapd/socket/notify"   prefork=1  proto="udp"
    #ptloader    cmd="ptloader"    listen="@l_prefix@/var/imapd/socket/ptloader" prefork=1
    #fud         cmd="fud"         listen="127.0.0.1:4201"                       prefork=1  proto="udp"
    #mupdate     cmd="mupdate"     listen="127.0.0.1:2004"                       prefork=1
    #syncserver  cmd="sync_server" listen="127.0.0.1:2005"                       prefork=-1
}

EVENTS {
    checkpoint   cmd="ctl_cyrusdb -c"       period=30
    delprune     cmd="ctl_deliver -E 3"     period=1440
    tlsprune     cmd="tls_prune"            period=1440
    squatter     cmd="squatter -r -s user"  period=1440
}

